View Issue Details

IDProjectCategoryView StatusLast Update
0002834ScribusNLSpublic2016-12-08 21:41
Reporterpicapoint Assigned ToFahad  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSLinux UbuntuOS Version5.10
Product Version1.2.2.1cvs 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0002834: Urdu is displayed Left to Right with Nafees Nastaleeq font
DescriptionWhen getting a text in Nafees Nastaleeq from a .odt openoffice document, the text display from left to right (instead of right to left... Urdu is written with an Arabic set of characters).

The edit the text box is correct in displaying the text from right to left
Steps To Reproduce1) Create a document with openoffice in Naffees Nastaliq text

2) Create a scribus file

2.1) Create a text box

2.2) Get the text from the the openoffice document

2.3) Edit the text and compare the order of characters with the "composed text" and also with the openoffic document
Additional Informationwww.crulp.org/Downloads/Nafees Nastaleeq(updated).ttf to genafees%20Nastaleeq(updated).ttft the Nafees Nastaleeq font

Tags#please_test, fixed, HOST-Oman, RTL
PatchNo

Relationships

related to 0001079 closedFahad Arabic is not supported in Scribus yet. 
has duplicate 0006178 closedplinnell writing urdu in scribus 
related to 0003680 closedFahad Devanagari (Unicode U+09xx) glyph formation (vowels and conjunct consonants) not proper 
child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

2005-11-16 15:35

 

Earth Quake.sla (45,265 bytes)

plinnell

2005-11-16 16:09

viewer   ~0007453

Can you attach the .odt file too? This is very helpful for diagnosis. If it is a private doc, you can make the bug private and only developers have access.

2005-12-07 14:51

 

Earth Quake UD.odt (12,303 bytes)

2005-12-07 14:52

 

Nafees Nastaleeq(Updated).ttf (381,800 bytes)

picapoint

2005-12-07 14:54

reporter   ~0007659

05/12/07
I have added the Open Office document I have used to compose this .sla file as well as the Nastaleeq font used.

Kunda

2016-03-24 13:50

manager   ~0039382

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558
There will be a build provided soon to test this fix OR one can build their branch manually.

cbradney

2016-12-03 22:56

administrator   ~0042630

r21564

Issue History

Date Modified Username Field Change
2005-11-16 15:35 picapoint New Issue
2005-11-16 15:35 picapoint File Added: Earth Quake.sla
2005-11-16 16:09 plinnell Note Added: 0007453
2005-12-07 14:51 picapoint File Added: Earth Quake UD.odt
2005-12-07 14:52 picapoint File Added: Nafees Nastaleeq(Updated).ttf
2005-12-07 14:54 picapoint Note Added: 0007659
2005-12-07 16:54 plinnell Status new => confirmed
2005-12-07 20:10 plinnell Relationship added related to 0001079
2006-04-20 16:59 mhanski Relationship added related to 0003680
2006-07-02 22:01 mhanski Relationship added child of 0003965
2007-09-01 11:58 plinnell Relationship added has duplicate 0006178
2011-01-01 11:47 cbradney Assigned To => pierremarchand
2011-01-01 11:47 cbradney Status confirmed => assigned
2016-03-23 13:05 Kunda Patch => No
2016-03-23 13:05 Kunda Assigned To pierremarchand =>
2016-03-23 13:05 Kunda Status assigned => confirmed
2016-03-23 13:05 Kunda Category Fonts => NLS
2016-03-24 13:49 Kunda Tag Attached: #please_test
2016-03-24 13:49 Kunda Tag Attached: fixed
2016-03-24 13:49 Kunda Tag Attached: HOST-Oman
2016-03-24 13:49 Kunda Tag Attached: RTL
2016-03-24 13:50 Kunda Note Added: 0039382
2016-12-03 22:56 cbradney Assigned To => Fahad
2016-12-03 22:56 cbradney Status confirmed => resolved
2016-12-03 22:56 cbradney Resolution open => fixed
2016-12-03 22:56 cbradney Fixed in Version => 1.5.3.svn
2016-12-03 22:56 cbradney Note Added: 0042630
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:41 cbradney Target Version => 1.5.3